Summary: The GNU data compression program
Name: gzip
Version: 1.6
Release: 1
# info pages are under GFDL license
License: GPLv3+ and GFDL
Group: Applications/File
URL: http://www.gzip.org/
Source0: ftp://ftp.gnu.org/gnu/%{name}/%{name}-%{version}.tar.gz
Source1: ftp://ftp.gnu.org/gnu/%{name}/%{name}-%{version}.tar.gz.sig
Patch0: gzip-1.3.12-openbsd-owl-tmp.patch
Patch1: gzip-1.3.5-zforce.patch
Patch4: gzip-1.3.13-rsync.patch
Patch5: gzip-1.3.5-cve-2006-4338.patch
Patch6: gzip-1.3.13-cve-2006-4337.patch
Patch7: gzip-1.3.5-cve-2006-4337_len.patch
Patch8: gzip-1.5-man-rsyncable.patch
Patch9: gzip-1.6-zless.patch
# required for IBM XL C/C++ V7
Patch100: %{name}-%{version}-aix.patch
Buildroot: %{_tmppath}/%{name}-%{version}-%{release}-root
Requires: /sbin/install-info, info

%description
The gzip package contains the popular GNU gzip data compression
program. Gzipped files have a .gz extension.

Gzip should be installed on your system, because it is a
very commonly used data compression program.


%prep
%setup -q
export PATH=/opt/freeware/bin:$PATH
%patch0 -p1 -b .owl-tmp
%patch1 -p1 -b .zforce
%patch4 -p1 -b .rsync
%patch5 -p1 -b .4338
%patch6 -p1 -b .4337
%patch7 -p1 -b .4337l
%patch8 -p1 -b .man-rsyncable
%patch9 -p1 -b .zless
%patch100


%build
export CC="cc -qcpluscmt -D_LARGE_FILES -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE"

./configure \
    --prefix=%{_prefix} \
    --mandir=%{_mandir} \
    --infodir=%{_infodir} \
    --enable-largefile

make %{?_smp_mflags}


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
make DESTDIR=${RPM_BUILD_ROOT} install

/usr/bin/strip ${RPM_BUILD_ROOT}%{_bindir}/gzip || :

# remove dependency on bash
cd ${RPM_BUILD_ROOT}%{_bindir}
filelist=`ls -1 | grep -v gzip`
for i in `echo $filelist` ; do
    sed -e "s|/opt/freeware/bin/bash|/bin/sh|g" < ${RPM_BUILD_ROOT}%{_bindir}/$i > ${RPM_BUILD_ROOT}%{_bindir}/.$i
    rm -f ${RPM_BUILD_ROOT}%{_bindir}/$i
    mv ${RPM_BUILD_ROOT}%{_bindir}/.$i ${RPM_BUILD_ROOT}%{_bindir}/$i
    chmod 755 ${RPM_BUILD_ROOT}%{_bindir}/$i
done

gzip --best ${RPM_BUILD_ROOT}%{_infodir}/gzip.info*
rm -f ${RPM_BUILD_ROOT}%{_infodir}/dir

mkdir -p ${RPM_BUILD_ROOT}/usr/bin
cd ${RPM_BUILD_ROOT}/usr/bin
ln -s ../..%{_bindir}/* .
rm -f uncompress zcat

mkdir -p ${RPM_BUILD_ROOT}/usr/linux/bin
cd ${RPM_BUILD_ROOT}/usr/linux/bin
ln -s ../../..%{_bindir}/* .


%post
if [ -f %{_infodir}/gzip.info* ]; then
    /sbin/install-info %{_infodir}/gzip.info.gz %{_infodir}/dir || :
fi


%preun
if [ $1 = 0 ]; then
    /sbin/install-info --delete %{_infodir}/gzip.info.gz %{_infodir}/dir || :
fi


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system)
%doc NEWS README AUTHORS ChangeLog THANKS TODO
%{_bindir}/*
%{_mandir}/*/*
%{_infodir}/gzip.info*
/usr/bin/*
/usr/linux/bin/*


%changelog
* Mon Apr 04 2016 Michael Perzl <michael@perzl.org> - 1.6-1
- updated to version 1.6

* Sun Jun 17 2012 Michael Perzl <michael@perzl.org> - 1.5-1
- updated to version 1.5

* Thu Apr 22 2010 Michael Perzl <michael@perzl.org> - 1.4-1
- updated to version 1.4

* Thu Mar 27 2008 Michael Perzl <michael@perzl.org> - 1.3.12-1
- first version for AIX V5.1 and higher
